<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Media Server: cpp.tokenize.Token Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Media Server
   &#160;<span id="projectnumber">1.0</span>
   </div>
   <div id="projectbrief">Simple MediaServer with effects and filters</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('classcpp_1_1tokenize_1_1Token.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle">
<div class="title">cpp.tokenize.Token Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for cpp.tokenize.Token:</div>
<div class="dyncontent">
<div class="center"><iframe scrolling="no" frameborder="0" src="classcpp_1_1tokenize_1_1Token__inherit__graph.svg" width="156" height="112"><p><b>This browser is not able to show SVG: try Firefox, Chrome, Safari, or Opera instead.</b></p></iframe>
</div>
<center><span class="legend">[<a target="top" href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for cpp.tokenize.Token:</div>
<div class="dyncontent">
<div class="center"><iframe scrolling="no" frameborder="0" src="classcpp_1_1tokenize_1_1Token__coll__graph.svg" width="156" height="112"><p><b>This browser is not able to show SVG: try Firefox, Chrome, Safari, or Opera instead.</b></p></iframe>
</div>
<center><span class="legend">[<a target="top" href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a7da7659a5a6c61d0f4b8590cf96e19fd"><td class="memItemLeft" align="right" valign="top"><a id="a7da7659a5a6c61d0f4b8590cf96e19fd"></a>
def&#160;</td><td class="memItemRight" valign="bottom"><b>__init__</b> (self, token_type, name, start, end)</td></tr>
<tr class="separator:a7da7659a5a6c61d0f4b8590cf96e19fd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a98e024051039637a18601fcbb0232cc2"><td class="memItemLeft" align="right" valign="top"><a id="a98e024051039637a18601fcbb0232cc2"></a>
def&#160;</td><td class="memItemRight" valign="bottom"><b>__str__</b> (self)</td></tr>
<tr class="separator:a98e024051039637a18601fcbb0232cc2"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:a60c6e5120f3947885f10788ceb69a660"><td class="memItemLeft" align="right" valign="top"><a id="a60c6e5120f3947885f10788ceb69a660"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>token_type</b></td></tr>
<tr class="separator:a60c6e5120f3947885f10788ceb69a660"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a90859dd16bde71bc38f717f5119e63b9"><td class="memItemLeft" align="right" valign="top"><a id="a90859dd16bde71bc38f717f5119e63b9"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>name</b></td></tr>
<tr class="separator:a90859dd16bde71bc38f717f5119e63b9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8ec48e348ff29901857cb21553da464b"><td class="memItemLeft" align="right" valign="top"><a id="a8ec48e348ff29901857cb21553da464b"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>start</b></td></tr>
<tr class="separator:a8ec48e348ff29901857cb21553da464b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9935738c382352eca19834c2533715db"><td class="memItemLeft" align="right" valign="top"><a id="a9935738c382352eca19834c2533715db"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>end</b></td></tr>
<tr class="separator:a9935738c382352eca19834c2533715db"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9d3a8011707ede6be85987d74f88848d"><td class="memItemLeft" align="right" valign="top"><a id="a9d3a8011707ede6be85987d74f88848d"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>whence</b></td></tr>
<tr class="separator:a9d3a8011707ede6be85987d74f88848d"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><pre class="fragment">Data container to represent a C++ token.

Tokens can be identifiers, syntax char(s), constants, or
pre-processor directives.

start contains the index of the first char of the token in the source
end contains the index of the last char of the token in the source
</pre> </div><hr/>The documentation for this class was generated from the following file:<ul>
<li>tokenize.py</li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><b>cpp</b></li><li class="navelem"><b>tokenize</b></li><li class="navelem"><a class="el" href="classcpp_1_1tokenize_1_1Token.html">Token</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1 </li>
  </ul>
</div>
</body>
</html>
